package com.trs.project.constant;

/**
 * Description: 接口调用的状态码管理<BR>
 * Title: TRS 成都拓尔思互动系统（TRSAPP）<BR>
 * @author leuyius
 * @version 1.0
 * @ClassName: OpenStatusCode.java
 * @Copyright: Copyright (c) TRS北京拓尔思信息技术股份有限公司<BR>
 * @Company: TRS成都拓尔思信息技术有限公司(www.trs.com.cn)<BR>
 * @date 2017年1月6日 上午10:47:16
 */
public enum OpenStatusCode {

    /* 访问成功 200  */
    STATUSCODE_SUCCESS("访问成功", 200),
    /* 访问失败--通用，查看日志错误信息 300  */
    STATUSCODE_FAILED("访问失败", 300),
    /* 访问失败--参数不合法 301  */
    STATUSCODE_FAILED_BADINPUT_PARAM("访问失败，参数不合法", 301),
    /* 访问失败--用户未登录 302  */
    STATUSCODE_FAILED_NOT_LOGIN("访问失败，用户未登录", 302),
    /* 访问失败--APPKEY没有登录 303  */
    STATUSCODE_FAILED_ERROR_APPKEY("访问失败，APPKEY没有登录", 303),
    /* 访问失败--用户没有权限 304  */
    STATUSCODE_FAILED_NOT_RIGHT("访问失败，用户无权限", 304),
    /* 访问失败--当前请求参数不合法 400  */
    STATUSCODE_HTTP_400("当前请求参数不合法", 400),
    /* 访问失败--资源不可用 403  */
    STATUSCODE_HTTP_403("资源不可用", 403),
    /* 访问失败--找不到访问的资源 404  */
    STATUSCODE_HTTP_404("找不到访问的资源", 404),
    /* 访问失败--请求方式出错 405  */
    STATUSCODE_HTTP_405("GET或者POST的请求方式出错", 405),
    /* 访问失败--服务器请求出错 500  */
    STATUSCODE_HTTP_500("服务器请求出错", 500),
    /* 访问失败--服务器请求出错 501  */
    STATUSCODE_THROWABLE("服务器请求出错", 501),
    /* 访问失败--服务器请求超时 502  */
    STATUSCODE_FLOOD_EXCEPTION("访问超过限制", 502),
    /* 访问失败--服务器请求超时 503  */
    STATUSCODE_TIMEOUT_EXCEPTION("接口请求超时", 503),
    /*访问失败--Page对象为空 null */
    STATUSCODE_FAILED_LIST_NULL_POINTER("访问失败，请联系管理员", 304),
    /*访问失败--数字转换异常 */
    STATUSCODE_FAILED_NUMBER_FORMAT_ERROR("访问失败，数字转换异常", 305),
    /* 访问失败--用户没有权限  */
    STATUSCODE_FAILED_ADMIN_ERROR("访问失败，没有权限", 306),
    /*访问失败--短信验证码为空 */
    STATUSCODE_FAILED_SMS_CODE_NULL("访问失败，短信验证码为空", 601),
    /*访问失败--短信验证码不匹配 */
    STATUSCODE_FAILED_SMS_CODE_ERROR("访问失败，短信验证码不正确", 602),
    /*访问失败--图片验证码为空 */
    STATUSCODE_FAILED_IMG_CODE_NULL("访问失败，图片验证码为空", 603),
    /*访问失败--图片验证码不匹配 */
    STATUSCODE_FAILED_IMG_CODE_ERROR("访问失败，图片验证码不正确", 604),
    /*访问失败--通用元数据错误--*/
    STATUSCODE_FAILED_APP_ERROR("访问失败，获取应用异常", 1000),
    /*访问失败--通用元数据错误-- 获取应用异常*/
    STATUSCODE_FAILED_APP_SAVE_ERROR("访问失败，获取应用异常", 1001),
    /*访问失败--通用元数据错误-- 获取应用异常*/
    STATUSCODE_FAILED_APP_FOUND_ERROR("访问失败，获取应用异常", 1002),
    /*访问失败--通用元数据错误-- 应用不存在*/
    STATUSCODE_FAILED_APP_NOT_FOUND("访问失败，应用不存在", 1003),
    /*访问失败--通用元数据错误-- 应用已被删除*/
    STATUSCODE_FAILED_APP_DELETED("访问失败，应用不存在", 1004),
    /*访问失败--通用元数据错误-- 应用已被停用*/
    STATUSCODE_FAILED_APP_STOP("访问失败，应用不存在", 1005),
    /*访问失败--通用元数据错误-- 查询提交字段出现异常*/
    STATUSCODE_FAILED_APP_SUB_FIELD_ERROR("访问失败，查询提交字段出现异常", 1010),
    /*访问失败--通用元数据错误-- 查询提交字段为空*/
    STATUSCODE_FAILED_APP_SUB_FIELD_NULL("访问失败，查询提交字段为空", 1011),
    /*访问失败--通用元数据错误-- 主题字段不存在*/
    STATUSCODE_FAILED_APP_TITLE_NOT_FOUND("访问失败，主题字段不存在", 1012),
    /*访问失败--通用元数据错误-- 工作流错误*/
    STATUSCODE_FAILED_APP_FLOW_ERROR("访问失败，元数据保存工作流配置错误", 1100),
    /*访问失败--通用元数据文档错误-- 文档错误*/
    STATUSCODE_FAILED_DOC_ERROR("访问失败，获取文档异常", 1200),
    /*访问失败--通用元数据文档错误-- 文档保存异常*/
    STATUSCODE_FAILED_DOC_SAVE_ERROR("访问失败，获取文档异常", 1201),
    /*访问失败--通用元数据文档错误-- 文档查找异常*/
    STATUSCODE_FAILED_DOC_FOUND_ERROR("访问失败，获取文档异常", 1202),
    /*访问失败--通用元数据文档错误-- 文档未找到*/
    STATUSCODE_FAILED_DOC_FOUND_NOT_FOUND("访问失败，文档不存在", 1203),
    /*访问失败--通用元数据文档错误-- 文档已被删除*/
    STATUSCODE_FAILED_DOC_DELETED("访问失败，文档不存在", 1204),
    /*访问失败--通用元数据文档错误-- 文档已被停用*/
    STATUSCODE_FAILED_DOC_STOP("访问失败，文档不存在", 1205),
    /*访问失败--通用评论错误-- 评论错误*/
    STATUSCODE_FAILED_COMMENT_ERROR("访问失败，评论异常", 1300),
    /*访问失败--通用评论错误-- 保存评论错误*/
    STATUSCODE_FAILED_COMMENT_SAVE_ERROR("访问失败，保存评论异常", 1301),
    /*访问失败--通用评论错误-- 评论查找错误*/
    STATUSCODE_FAILED_COMMENT_FOUND_ERROR("访问失败，获取评论异常", 1302),
    /*访问失败--通用元数据评论错误-- 未找到评论错误*/
    STATUSCODE_FAILED_COMMENT_FOUND_NOT_FOUND("访问失败，评论不存在", 1303),
    /*访问失败--通用附件错误-- 附件错误*/
    STATUSCODE_FAILED_FILE_ERROR("访问失败，附件异常", 1400),
    /*访问失败--通用附件错误-- 附件保存异常*/
    STATUSCODE_FAILED_FILE_SAVE_ERROR("访问失败，保存附件异常", 1401),
    /*访问失败--通用附件错误-- 附件查找异常*/
    STATUSCODE_FAILED_FILE_FOUND_ERROR("访问失败，获取附件异常", 1402),
    /*访问失败--通用附件错误-- 附件未找到*/
    STATUSCODE_FAILED_FILE_FOUND_NOT_FOUND("访问失败，附件不存在", 1403),
    /*访问失败--通用元数据附件错误-- 附件已被删除*/
    STATUSCODE_FAILED_FILE_DELETED("访问失败，附件不存在", 1404),
    /*访问失败--通用元数据附件错误-- 附件已被使用*/
    STATUSCODE_FAILED_FILE_USED("访问失败，附件已被使用", 1405),
    /*访问失败--通用问卷错误-- 问卷错误*/
    STATUSCODE_FAILED_QUESTION_ERROR("访问失败，问卷异常", 1500),
    /*访问失败--通用问卷错误-- 问卷保存异常*/
    STATUSCODE_FAILED_QUESTION_SAVE_ERROR("访问失败，保存问卷异常", 1501),
    /*访问失败--通用问卷错误-- 问卷查找异常*/
    STATUSCODE_FAILED_QUESTION_FOUND_ERROR("访问失败，获取问卷异常", 1502),
    /*访问失败--通用问卷错误-- 问卷未找到*/
    STATUSCODE_FAILED_QUESTION_FOUND_NOT_FOUND("访问失败，问卷不存在", 1503),
    /*访问失败--通用问卷错误-- 问卷已被删除*/
    STATUSCODE_FAILED_QUESTION_DELETED("访问失败，问卷不存在", 1504);

    private String message;
    private Integer code;

    OpenStatusCode(String message, Integer code) {
        this.code = code;
        this.message = message;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

}
